VRPlatformVRPlatform
Calendar

/calendar-blocks

Retrieve calendar blocks from a listing

GET
/calendar-blocks
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

listingId*string
startDate*string
endDate*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/calendar-blocks?listingId=string&startDate=string&endDate=string"
{
  "data": [
    {
      "date": "string",
      "blockReason": "reserved",
      "description": "string",
      "user": {
        "email": "user@example.com",
        "firstName": "string",
        "lastName": "string",
        "id": "string"
      }
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}